# Service

***

## **Service Detail**

#### **(1)** Interface Description

* URL: https\://{domain}.oc.nhncloud.com/{serviceId}/api/v2/service.json

<table data-full-width="false"><thead><tr><th width="140">Interface Name</th><th width="92">Protocol</th><th width="90">Request Method</th><th width="84">Encoding</th><th width="94">Response Format</th><th width="272">Interface Description</th><th>접근제한 여부</th></tr></thead><tbody><tr><td>Service Detail</td><td>HTTPS</td><td>GET</td><td>UTF-8</td><td>JSON</td><td>Retrieve service information using the Service ID</td><td>필요 없음</td></tr></tbody></table>

***

#### **(2) Request Parameters**

<table><thead><tr><th width="119">Name</th><th width="100">Field (Parameters)</th><th width="111">Type</th><th width="100">Location</th><th width="63">Required</th><th>Description</th></tr></thead><tbody><tr><td>Service ID</td><td>serviceId</td><td>String</td><td>path</td><td>O</td><td>서비스 ID，URL PATH 내에 설정한{serviceId}</td></tr></tbody></table>

***

#### **(3) Response Data**

<table><thead><tr><th width="164">Name</th><th width="186">(2) Request Parameters</th><th width="131">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>result.content</strong></td><td>serviceId</td><td>String</td><td>서비스 ID</td></tr><tr><td></td><td>name</td><td>String</td><td>서비스명</td></tr><tr><td></td><td>profile</td><td>String</td><td>서비스 배경 이미지</td></tr><tr><td></td><td>language</td><td>String</td><td>서비스 기본 언어 코드</td></tr><tr><td></td><td>languages</td><td>Array</td><td>서비스 언어 리스트</td></tr><tr><td></td><td>languages.code</td><td>String</td><td>언어 코드</td></tr><tr><td></td><td>languages.name</td><td>String</td><td>언어 명칭</td></tr><tr><td></td><td>languages.orderNo</td><td>Integer</td><td>언어 노출 순서</td></tr><tr><td></td><td>multiLanguage</td><td>Boolean</td><td>서비스 다국어 여부,<br>값(true: 다국어, false: 단일 언어)</td></tr></tbody></table>

***

#### **(4) Response Body**

```json
{
    "header": {
        "resultCode": 200,
        "resultMessage": "",
        "isSuccessful": true
    },
    "result": {
        "content": {
            "serviceId": "APISample",
            "name": "APISample",
            "profile": {
                "fileUrl": "https://api-storage.cloud.nhncloud.com/v1/AUTH_226f908c769e48b0bad7d32f9a91717f/service_alpha/WopqM8euoYw89B7i/27316eba2a8a4089b72a9cf18a83e144.png"
            },
            "language": "ko",
            "languages": [
                {
                    "code": "ko",
                    "name": "한국어",
                    "orderNo": 0
                },
                {
                    "code": "ja",
                    "name": "日本語",
                    "orderNo": 1
                },
                {
                    "code": "en",
                    "name": "English",
                    "orderNo": 2
                },
                {
                    "code": "zh",
                    "name": "中文",
                    "orderNo": 3
                },
                {
                    "code": "th",
                    "name": "ไทย",
                    "orderNo": 4
                }
            ],
            "multiLanguage": true
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.contiple.com/eng/api-guide/open-api/service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
